Loading...
Searching...
No Matches
L4Re::Log Class Reference
L4Re C++ Interface » Logging interface

Log interface class. More...

`#include <log>`

Inheritance diagram for L4Re::Log:
Collaboration diagram for L4Re::Log:

## Public Member Functions

void | printn (char const *string, int len) const noexcept
| Print string with length len, NULL characters don't matter.
void | print (char const *string) const noexcept
| Print NULL-terminated string.
Public Member Functions inherited from L4::Vcon
l4_msgtag_t | send (char const *buf, unsigned size, l4_utcb_t *utcb=l4_utcb()) const noexcept
| Send data to this virtual console.
long | write (char const *buf, unsigned size, l4_utcb_t *utcb=l4_utcb()) const noexcept
| Write data to this virtual console.
int | read (char *buf, unsigned size, l4_utcb_t *utcb=l4_utcb()) const noexcept
| Read data from this virtual console.
int | read_with_flags (char *buf, unsigned size, l4_utcb_t *utcb=l4_utcb()) const noexcept
| Read data from this virtual console which also returns flags.
l4_msgtag_t | set_attr (l4_vcon_attr_t const *attr, l4_utcb_t *utcb=l4_utcb()) const noexcept
| Set the attributes of this virtual console.
l4_msgtag_t | get_attr (l4_vcon_attr_t *attr, l4_utcb_t *utcb=l4_utcb()) const noexcept
| Get attributes of this virtual console.
Public Member Functions inherited from L4::Icu
l4_msgtag_t | bind (unsigned irqnum, L4::Cap< Triggerable > irq, l4_utcb_t *utcb=l4_utcb()) noexcept
| Bind an interrupt line of an interrupt controller to an interrupt object.
l4_msgtag_t | unbind (unsigned irqnum, L4::Cap< Triggerable > irq, l4_utcb_t *utcb=l4_utcb()) noexcept
| Remove binding of an interrupt line from the interrupt controller object.
l4_msgtag_t | info (l4_icu_info_t *info, l4_utcb_t *utcb=l4_utcb()) noexcept
| Get information about the ICU features.
l4_msgtag_t | msi_info (l4_umword_t irqnum, l4_uint64_t source, l4_icu_msi_info_t *msi_info)
| Get MSI info about IRQ.
l4_msgtag_t | mask (unsigned irqnum, l4_umword_t *label=0, l4_timeout_t to=L4_IPC_NEVER, l4_utcb_t *utcb=l4_utcb()) noexcept
| Mask an IRQ line.
l4_msgtag_t | set_mode (unsigned irqnum, l4_umword_t mode, l4_utcb_t *utcb=l4_utcb()) noexcept
| Set interrupt mode.
Public Member Functions inherited from L4::Irq_eoi
l4_msgtag_t | unmask (unsigned irqnum, l4_umword_t *label=0, l4_timeout_t to=L4_IPC_NEVER, l4_utcb_t *utcb=l4_utcb()) noexcept
| Unmask the given interrupt line.

## Additional Inherited Members

Protected Types inherited from L4::Kobject_t< Log, L4::Vcon, L4::PROTO_EMPTY >
typedef Log | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Log > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, typename L4::Vcon::__Iface_list > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Types inherited from L4::Kobject_t< Vcon, Icu, L4_PROTO_LOG >
typedef Vcon | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Vcon > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, typename Icu::__Iface_list > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Types inherited from L4::Kobject_t< Icu, Irq_eoi, L4_PROTO_IRQ, Type_info::Demand_t< 1 > >
typedef Icu | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Icu > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, typename Irq_eoi::__Iface_list > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Member Functions inherited from L4::Kobject_t< Log, L4::Vcon, L4::PROTO_EMPTY >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Protected Member Functions inherited from L4::Kobject_t< Vcon, Icu, L4_PROTO_LOG >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Protected Member Functions inherited from L4::Kobject_t< Icu, Irq_eoi, L4_PROTO_IRQ, Type_info::Demand_t< 1 > >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Static Protected Member Functions inherited from L4::Kobject_t< Log, L4::Vcon, L4::PROTO_EMPTY >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.
Static Protected Member Functions inherited from L4::Kobject_t< Vcon, Icu, L4_PROTO_LOG >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.
Static Protected Member Functions inherited from L4::Kobject_t< Icu, Irq_eoi, L4_PROTO_IRQ, Type_info::Demand_t< 1 > >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.

## Detailed Description

Log interface class.

Definition at line 33 of file log.

## Member Function Documentation

## print()

void L4Re::Log::print | ( | char const * | string | ) | const

noexcept

Print NULL-terminated string.

Parameters

  string | string to print

## printn()

void L4Re::Log::printn | ( | char const * | string,
|  | int | len ) const

noexcept

Print string with length len, NULL characters don't matter.

Parameters

  string | string to print
  len | length of string

The documentation for this class was generated from the following file:

- l4/re/log